# Class StatemanagerLocation

#### Hierarchy

- StatemanagerLocation

- Defined in src/statemanager/Location.js:44

#####
Index

### Properties

domain_
fragment_
history_
path_
port_
queryData_
schema_

### Methods

deleteFragmentParam
deleteParam
getFragmentParam
getFragmentParamAsInt
getFragmentParamKeys
getFragmentParamKeysWithPrefix
getParam
getParamAsFloat
getParamAsInt
getParamKeys
getParamKeysWithPrefix
getPath
getUriString
hasFragmentParam
hasParam
refresh
setPath
updateFragmentParams
updateParams

## Properties

### domain_

domain_: string

- Defined in src/statemanager/Location.js:58

### fragment_

fragment_: Object

- Defined in src/statemanager/Location.js:78

### history_

history_: History

- Defined in src/statemanager/Location.js:48

### path_

path_: string

- Defined in src/statemanager/Location.js:68
- Defined in src/statemanager/Location.js:351

### port_

port_: number

- Defined in src/statemanager/Location.js:63

### queryData_

queryData_: Object

- Defined in src/statemanager/Location.js:73

### schema_

schema_: string

- Defined in src/statemanager/Location.js:53

## Methods

### deleteFragmentParam

- deleteFragmentParam(key: string): void

- Delete a param int the fragment of the location's URI.

  #### Parameters

  - ##### key: string

    Param key.

  #### Returns void

  - Defined in src/statemanager/Location.js:334

### deleteParam

- deleteParam(key: string): void

- Delete a param in the location's URI.

  #### Parameters

  - ##### key: string

    Param key.

  #### Returns void

  - Defined in src/statemanager/Location.js:325

### getFragmentParam

- getFragmentParam(key: string): string

- Get a param from the fragment of the location's URI.

  ### Returns

  Param value.

  #### Parameters

  - ##### key: string

    Param key.

  #### Returns string

  - Defined in src/statemanager/Location.js:182

### getFragmentParamAsInt

- getFragmentParamAsInt(key: string): number

- Get a param from the fragment of the location's URI as integer. If the entry does not exist, or if the value can not be parsed as integer, `undefined` is returned.

  ### Returns

  Param value.

  #### Parameters

  - ##### key: string

    Param key.

  #### Returns number

  - Defined in src/statemanager/Location.js:228

### getFragmentParamKeys

- getFragmentParamKeys(): string[]

- Get an array with all existing param's keys from the fragment of the location's URI.

  ### Returns

  Param keys.

  #### Returns string[]

  - Defined in src/statemanager/Location.js:256

### getFragmentParamKeysWithPrefix

- getFragmentParamKeysWithPrefix(prefix: string): string[]

- Get an array with all existing param's keys from the fragment of the location's URI that start with the given prefix.

  ### Returns

  Param keys.

  #### Parameters

  - ##### prefix: string

    Key prefix.

  #### Returns string[]

  - Defined in src/statemanager/Location.js:288

### getParam

- getParam(key: string): string

- Get a param in the location's URI.

  ### Returns

  Param value.

  #### Parameters

  - ##### key: string

    Param key.

  #### Returns string

  - Defined in src/statemanager/Location.js:172

### getParamAsFloat

- getParamAsFloat(key: string): number

- Get a param in the location's URI as a floating point number. If the entry does not exist, or if the value can not be parsed, `undefined` is returned.

  ### Returns

  Param value.

  #### Parameters

  - ##### key: string

    Param key.

  #### Returns number

  - Defined in src/statemanager/Location.js:211

### getParamAsInt

- getParamAsInt(key: string): number

- Get a param in the location's URI as integer. If the entry does not exist, or if the value can not be parsed as integer, `undefined` is returned.

  ### Returns

  Param value.

  #### Parameters

  - ##### key: string

    Param key.

  #### Returns number

  - Defined in src/statemanager/Location.js:193

### getParamKeys

- getParamKeys(): string[]

- Get an array with all existing param's keys in the location's URI.

  ### Returns

  Param keys.

  #### Returns string[]

  - Defined in src/statemanager/Location.js:243

### getParamKeysWithPrefix

- getParamKeysWithPrefix(prefix: string): string[]

- Get an array with all existing param's keys in the location's URI that start with the given prefix.

  ### Returns

  Param keys.

  #### Parameters

  - ##### prefix: string

    Key prefix.

  #### Returns string[]

  - Defined in src/statemanager/Location.js:271

### getPath

- getPath(): string

- Get the location's current path.

  ### Returns

  The path.

  #### Returns string

  - Defined in src/statemanager/Location.js:101

### getUriString

- getUriString(): string

- Get the location's URI as a string

  ### Returns

  The URI.

  #### Returns string

  - Defined in src/statemanager/Location.js:110

### hasFragmentParam

- hasFragmentParam(key: string): boolean

- Check if a param exists in the fragment of the location's URI.

  ### Returns

  True if the param exists.

  #### Parameters

  - ##### key: string

    Param key.

  #### Returns boolean

  - Defined in src/statemanager/Location.js:162

### hasParam

- hasParam(key: string): boolean

- Check if a param exists in the location's URI.

  ### Returns

  True if the param exists.

  #### Parameters

  - ##### key: string

    Param key.

  #### Returns boolean

  - Defined in src/statemanager/Location.js:152

### refresh

- refresh(): void

- Refresh the the location's URI.

  #### Returns void

  - Defined in src/statemanager/Location.js:341

### setPath

- setPath(path: string): void

- Set a new path for this location.

  #### Parameters

  - ##### path: string

    Path.

  #### Returns void

  - Defined in src/statemanager/Location.js:350

### updateFragmentParams

- updateFragmentParams(params: Object): void

- Set or create a param in the fragment of the location's URI.

  #### Parameters

  - ##### params: Object

    Parameters.

  #### Returns void

  - Defined in src/statemanager/Location.js:314

### updateParams

- updateParams(params: Object): void

- Set or create a param in the location's URI.

  #### Parameters

  - ##### params: Object

    Parameters.

  #### Returns void

  - Defined in src/statemanager/Location.js:303

Generated using TypeDoc